
From: Herbert Xu <herbert@gondor.apana.org.au>

The recent patch produces a message with no terminating newline on the
machine in question.  This is because one of the four bytes that you're
printing out is NUL.  The following patch avoids that problem.



 arch/i386/kernel/mpparse.c |    9 +++------
 1 files changed, 3 insertions(+), 6 deletions(-)

diff -puN arch/i386/kernel/mpparse.c~mpparse-printk-fix arch/i386/kernel/mpparse.c
--- 25/arch/i386/kernel/mpparse.c~mpparse-printk-fix	2003-11-14 01:18:56.000000000 -0800
+++ 25-akpm/arch/i386/kernel/mpparse.c	2003-11-14 01:18:56.000000000 -0800
@@ -361,15 +361,12 @@ static int __init smp_read_mpc(struct mp
 	unsigned char *mpt=((unsigned char *)mpc)+count;
 
 	if (memcmp(mpc->mpc_signature,MPC_SIGNATURE,4)) {
-		printk("SMP mptable: bad signature [%c%c%c%c]!\n",
-			mpc->mpc_signature[0],
-			mpc->mpc_signature[1],
-			mpc->mpc_signature[2],
-			mpc->mpc_signature[3]);
+		printk(KERN_ERR "SMP mptable: bad signature [0x%x]!\n",
+			*(u32 *)mpc->mpc_signature);
 		return 0;
 	}
 	if (mpf_checksum((unsigned char *)mpc,mpc->mpc_length)) {
-		printk("SMP mptable: checksum error!\n");
+		printk(KERN_ERR "SMP mptable: checksum error!\n");
 		return 0;
 	}
 	if (mpc->mpc_spec!=0x01 && mpc->mpc_spec!=0x04) {

_
